=== debian/changelog ===
range-v3 (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Strip-doc-from-path.patch to avoid dependency on build directory.
  * Bump Standards-Version to 4.4.1, no changes related to this.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 20 Dec 2019 14:54:44 +0300
