=== test/functional/CMakeLists.txt ===
set(CMAKE_FOLDER "${CMAKE_FOLDER}/algorithm")

rv3_add_test(test.fun.bind_back fun.bind_back bind_back.cpp)
