=== debian/changelog ===
range-v3 (0.11.0-2) unstable; urgency=medium

  * Reupload the fix to unstable.
  * Bump Standards-Version to 4.6.0, no required changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 01 Dec 2021 00:06:04 +0300

range-v3 (0.11.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Apply suggested fix for gcc 11.2. Closes: #997289.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Nov 2021 11:26:59 +0100

range-v3 (0.11.0-1) unstable; urgency=medium

  [ Nicholas Guriev ]
  * New upstream release (closes: #968053).
    - Adjust build scripts for GCC 10 (closes: #966900).
  * Patches:
    - Remove no longer needed Strip-doc-from-path.patch.
    - Import Detection-of-concepts.patch from upstream Git.
    - Add Workaround-premature-instantiation.patch based on upstream commit.
  * Update DebHelper compatibility level to 13.
  * Bump standards version to 4.5.0, no required changes.

  [ Michael R. Crusoe ]
  * Add upstream metadata.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 18 Aug 2020 09:46:44 +0300
