=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libdevel
 Priority: optional
 Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  cmake (>= 3.6.0),
  doxygen (>= 1.8.13) <!nodoc>,
  doxygen-latex (>= 1.8.13) <!nodoc>,
  libboost-date-time-dev (>= 1.59.0) <!nocheck>,
  libboost-program-options-dev (>= 1.59.0) <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ericniebler/range-v3
 Vcs-Git: https://salsa.debian.org/debian/range-v3.git
