=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 EXTRA_CMAKE_VARIABLES = \
-	CMAKE_SKIP_INSTALL_ALL_DEPENDENCY=ON \
 	RANGE_V3_HEADER_CHECKS=ON \
 	RANGES_NATIVE=OFF \
 	RANGES_VERBOSE_BUILD=ON
@@ -20,12 +19,10 @@
 endif
 
 # The `test` target doesn't compile tests by itself and fails if they aren't
-# built before.
+# built before. Build the tests if only the `nocheck` flag is absent.
 override_dh_auto_test:
-ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
 	dh_auto_build
 	dh_auto_test
-endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/release_notes.md
