=== test/experimental/CMakeLists.txt ===
set(CMAKE_FOLDER "${CMAKE_FOLDER}/experimental")

add_subdirectory(utility)
add_subdirectory(view)
