=== debian/changelog ===
range-v3 (0.12.0-2) unstable; urgency=medium

  * Enable building tests again but do not fail on false positive
    -Wmaybe-uninitialized warnings.
  * Add Show-topics.patch to fix navigation in the documentation.
  * Remove unused doxygen-latex build dependency.
  * Update Standards-Version to 4.7.2.
    - Migrate to dpkg-build-api v1.
    - Remove the Rules-Requires-Root field.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 29 Nov 2025 12:55:53 +0300

range-v3 (0.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable building tests (Closes: #1077433).

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 11 Sep 2024 14:01:33 +0500

range-v3 (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove accepted patches,
    - Detection-of-concepts.patch
    - Workaround-premature-instantiation.patch
  * Replace gcc-11.2.patch with rewritten Fix-circular-swap.patch.
  * Bump Standards-Version to 4.6.1, no required changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 24 Jun 2022 18:52:54 +0300
