=== debian/control ===
--- 
+++ 
@@ -2,15 +2,13 @@
 Section: libdevel
 Priority: optional
 Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13), dpkg-build-api (= 1)
 Build-Depends-Indep:
  cmake (>= 3.6.0),
  doxygen (>= 1.8.13) <!nodoc>,
- doxygen-latex (>= 1.8.13) <!nodoc>,
  libboost-date-time-dev (>= 1.59.0) <!nocheck>,
  libboost-program-options-dev (>= 1.59.0) <!nocheck>,
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/ericniebler/range-v3
 Vcs-Git: https://salsa.debian.org/debian/range-v3.git
 Vcs-Browser: https://salsa.debian.org/debian/range-v3
