=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
+# A lot of mysterious false positives. Do not fail tests.
+export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error=maybe-uninitialized
+
 EXTRA_CMAKE_VARIABLES = \
+	CMAKE_INSTALL_LIBDIR=lib \
 	RANGE_V3_HEADER_CHECKS=ON \
 	RANGES_NATIVE=OFF \
 	RANGES_VERBOSE_BUILD=ON
@@ -15,7 +19,7 @@
 # the `nodoc` flag is specified.
 override_dh_auto_build:
 ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
-	dh_auto_build -- doc
+	dh_auto_build -- range-v3-doc
 endif
 
 # The `test` target doesn't compile tests by itself and fails if they aren't
